import { type Base, genBase } from "./_base"

export interface DeviceOrderItem extends Base {
  deviceOrder_id: number
  device_id: number
  count: number
}

export function genDeviceOrderItem(): DeviceOrderItem {
  return {
    ...genBase(),
    deviceOrder_id: 0,
    device_id: 0,
    count: 0,
  }
}
